#include "HardwareInfo.c"
#include "JMLib.c"
#include <SetLCDBack.h>
#include <SetLCDString.h>
#include <GetRemoteControllerRocker.h>
#include <SetLCD8Char.h>

int main(void)
{
    X2RCU_Init();
    int var0 = 0;
    SetLCDBack(1);
    SetLCDString(0, 0, "Remote Controller", YELLOW, BLACK);
    SetLCDString(0, 16, "Rocker", YELLOW, BLACK);
    SetLCDString(0, 32, "Left  X:", YELLOW, BLACK);
    SetLCDString(0, 48, "Left  Y:", YELLOW, BLACK);
    SetLCDString(0, 64, "Right X:", YELLOW, BLACK);
    SetLCDString(0, 80, "Right Y:", YELLOW, BLACK);
    while (1)
    {
        var0 = GetRemoteControllerRocker(0, 0);
        SetLCD8Char(64, 32, var0, YELLOW, BLACK);
        var0 = GetRemoteControllerRocker(0, 1);
        SetLCD8Char(64, 48, var0, YELLOW, BLACK);
        var0 = GetRemoteControllerRocker(1, 0);
        SetLCD8Char(64, 64, var0, YELLOW, BLACK);
        var0 = GetRemoteControllerRocker(1, 1);
        SetLCD8Char(64, 80, var0, YELLOW, BLACK);
    }
    return 1;
}

